> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Serial Connection

> This endpoint checks if the server is active and if the station ID is valid. It expects a JSON payload containing the station ID. The API key for authentication is sent in the headers. The server's response is a requests.Response object indicating the success or failure of the connection check.



## OpenAPI

````yaml POST /connection
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /connection:
    parameters: []
    post:
      tags:
        - Legacy
      summary: Check Serial Connection
      description: >-
        This endpoint checks if the server is active and if the station ID is
        valid. It expects a JSON payload containing the station ID. The API key
        for authentication is sent in the headers. The server's response is a
        requests.Response object indicating the success or failure of the
        connection check.
      operationId: post-connection
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  station_id: 65bf308d-c669-4504-b071-b9b296dc7030
              properties:
                station_id:
                  type: string
                  description: >-
                    The target station ID that has been generated in the Serial
                    app
            examples:
              Example 1:
                value:
                  station_id: 65bf308d-c669-4504-b071-b9b296dc7030
        description: ''
      responses:
        '200':
          description: >-
            Connection successful. This station can upload data from the
            'Battery Test' Process
        '404':
          description: >-
            The station ID specified does not exist, check the Serial App to
            make sure you're using the right station ID
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````